Bug 246478 - Crash when joining hidden WEP network
Crash when joining hidden WEP network
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 11:56 EDT by Simon Goodall
Modified: 2008-05-04 11:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 11:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nm output in /var/log/messages (9.37 KB, text/plain)
2007-07-02 11:56 EDT, Simon Goodall
no flags Details

  None (edit)
Description Simon Goodall 2007-07-02 11:56:44 EDT
Description of problem:
I was attempting to join a wireless network for the first time and NM crashed
two or three times while attempting to associate.
The wireless net is WEP-128 protected and has a hidden ssid and there was one or
two access points available. I have previously connected to these access points
before, however they had a different (hidden) ssid and WEP key.
The crash happened shortly after entering the ssid and WEP key information into
the "Connect to other wireless network" dialog.
I had several attempts to log into the network trying 128 passphase vs 128 hex
and open vs shared keys. Initially my mac address was not allowed by the AP's,
but later was. I think I managed to two or three attempts before the crashes
occurred. (Certainly not on the first attempt).

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-6.fc7

How reproducible:
Happened a few attempts out of several attempts to connect to the network.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Simon Goodall 2007-07-02 11:56:44 EDT
Created attachment 158346 [details]
nm output in /var/log/messages
Comment 2 Dan Williams 2008-04-22 14:42:30 EDT
Does this still happen with NM 0.6.6 which is available from F7 updates?  If so,
could you install debuginfo for NM and get the system logs again?
Comment 3 Simon Goodall 2008-05-03 17:19:59 EDT
I am now running F8 and I have not experienced this problem.
Comment 4 Dan Williams 2008-05-04 11:35:34 EDT
Ok, thanks!

Note You need to log in before you can comment on or make changes to this bug.